org.eclipse.rdf4j.federated.cache

## Enum SourceSelectionCache.StatementSourceAssurance

- java.lang.Object
- - java.lang.Enum<SourceSelectionCache.StatementSourceAssurance>
  - - org.eclipse.rdf4j.federated.cache.SourceSelectionCache.StatementSourceAssurance

- All Implemented Interfaces:
    Serializable, Comparable<SourceSelectionCache.StatementSourceAssurance>
  Enclosing interface:
    SourceSelectionCache

      public static enum SourceSelectionCache.StatementSourceAssurance
      extends Enum<SourceSelectionCache.StatementSourceAssurance>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HAS_REMOTE_STATEMENTS` The endpoint has data for a given query pattern
    `NONE` The endpoint does not provide any information
    `POSSIBLY_HAS_STATEMENTS` No local information available: a remote check needs to be performed to check if a data source can provide statements

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SourceSelectionCache.StatementSourceAssurance` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SourceSelectionCache.StatementSourceAssurance[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SourceSelectionCache.StatementSourceAssurance NONE

      The endpoint does not provide any information

    - #### HAS_REMOTE_STATEMENTS

          public static final SourceSelectionCache.StatementSourceAssurance HAS_REMOTE_STATEMENTS

      The endpoint has data for a given query pattern

    - #### POSSIBLY_HAS_STATEMENTS

          public static final SourceSelectionCache.StatementSourceAssurance POSSIBLY_HAS_STATEMENTS

      No local information available: a remote check needs to be performed to check if a data source can provide statements

  - ### Method Detail

    - #### values

          public static SourceSelectionCache.StatementSourceAssurance[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SourceSelectionCache.StatementSourceAssurance c : SourceSelectionCache.StatementSourceAssurance.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SourceSelectionCache.StatementSourceAssurance valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.